---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View invoice

Returns details of a single invoice.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Invoice",
      "description": "An invoice is a commercial document issued by a seller to a buyer relating to a sale transaction and indicating the products, quantities, and agreed-upon prices for products or services the seller had provided the buyer."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/invoices/{id}": {
      "get": {
        "tags": [
          "Invoice"
        ],
        "operationId": "invoice.view",
        "summary": "View invoice",
        "description": "Returns details of a single invoice.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "id": {
                          "type": "string",
                          "pattern": "\\d+",
                          "example": "17",
                          "description": "Resource identifier."
                        },
                        "documentNumber": {
                          "x-description-missing": true,
                          "type": "string",
                          "nullable": true,
                          "example": "1200132"
                        },
                        "documentDate": {
                          "x-description-missing": true,
                          "type": "string",
                          "format": "date-time",
                          "example": "2022-01-07T00:00:00+01:00"
                        },
                        "log": {
                          "x-description-missing": true,
                          "type": "object",
                          "nullable": true,
                          "additionalProperties": false,
                          "required": [
                            "createdAt",
                            "createdBy",
                            "sentAt",
                            "sentBy",
                            "updatedAt"
                          ],
                          "properties": {
                            "createdAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2022-01-07T13:43:12+01:00"
                            },
                            "createdBy": {
                              "type": "object",
                              "additionalProperties": false,
                              "required": [
                                "name"
                              ],
                              "nullable": true,
                              "properties": {
                                "name": {
                                  "type": "string"
                                }
                              },
                              "example": {
                                "name": "John Doe"
                              }
                            },
                            "sentAt": {
                              "type": "string",
                              "format": "date-time",
                              "nullable": true,
                              "example": "2022-01-07T13:43:12+01:00"
                            },
                            "sentBy": {
                              "type": "object",
                              "additionalProperties": false,
                              "required": [
                                "name"
                              ],
                              "nullable": true,
                              "properties": {
                                "name": {
                                  "type": "string"
                                }
                              },
                              "example": {
                                "name": "John Doe"
                              }
                            },
                            "updatedAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2022-03-31T00:16:03+02:00"
                            }
                          },
                          "example": {
                            "createdAt": "2022-01-07T13:43:12+01:00",
                            "sentAt": null,
                            "createdBy": {
                              "name": "John Doe"
                            },
                            "sentBy": {
                              "name": "John Doe"
                            },
                            "updatedAt": "2022-03-31T00:16:03+02:00"
                          }
                        },
                        "amountGross": {
                          "x-description-missing": true,
                          "type": "number",
                          "format": "float",
                          "example": 49.99
                        },
                        "amountNet": {
                          "x-description-missing": true,
                          "type": "number",
                          "format": "float",
                          "example": 42.01
                        },
                        "costCenter": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "3456"
                        },
                        "status": {
                          "x-description-missing": true,
                          "type": "string",
                          "enum": [
                            "created",
                            "released",
                            "sent",
                            "canceled",
                            "completed",
                            "partialCancellation",
                            "unknown"
                          ],
                          "example": "sent"
                        },
                        "project": {
                          "x-description-missing": true,
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "required": [
                            "id",
                            "name",
                            "abbreviation"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            },
                            "name": {
                              "type": "string"
                            },
                            "abbreviation": {
                              "type": "string"
                            }
                          },
                          "example": {
                            "id": "6",
                            "name": "Shopware",
                            "abbreviation": "B2C-SW"
                          }
                        },
                        "customer": {
                          "description": "An optional object with id and name",
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "id",
                            "name"
                          ],
                          "nullable": true,
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            },
                            "name": {
                              "type": "string"
                            }
                          },
                          "example": {
                            "id": "1337",
                            "name": "Diamond"
                          }
                        },
                        "tags": {
                          "description": "A list of tags",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "id": {
                                "description": "The identifier of the tag",
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "1337"
                              },
                              "name": {
                                "description": "The name of the tag",
                                "type": "string",
                                "example": "Active"
                              },
                              "color": {
                                "type": "string",
                                "pattern": "[a-fA-F0-9]{6}",
                                "example": "ff0000",
                                "description": "Hexadecimal color value in 6-digit format without the leading # character."
                              }
                            }
                          }
                        },
                        "salesOrder": {
                          "x-description-missing": true,
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "properties": {
                            "id": {
                              "type": "string",
                              "format": "number",
                              "nullable": true
                            },
                            "documentNumber": {
                              "type": "string",
                              "format": "number",
                              "nullable": true
                            }
                          },
                          "example": {
                            "id": "147",
                            "documentNumber": "2024-200135"
                          }
                        },
                        "externalOrderReference": {
                          "x-description-missing": true,
                          "type": "string",
                          "nullable": true,
                          "example": "62720"
                        },
                        "devCustomer": {
                          "x-description-missing": true,
                          "type": "string",
                          "nullable": true,
                          "example": "dev"
                        },
                        "billingAddress": {
                          "type": "object",
                          "description": "Billing address of the customer.",
                          "additionalProperties": false,
                          "required": [
                            "name",
                            "contactPerson",
                            "department",
                            "subdivision",
                            "street",
                            "additionalDetails",
                            "city",
                            "zipCode",
                            "country"
                          ],
                          "nullable": true,
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            },
                            "name": {
                              "type": "string"
                            },
                            "contactPerson": {
                              "type": "string"
                            },
                            "department": {
                              "type": "string",
                              "nullable": true
                            },
                            "subdivision": {
                              "type": "string",
                              "nullable": true
                            },
                            "street": {
                              "type": "string"
                            },
                            "additionalDetails": {
                              "type": "string",
                              "nullable": true
                            },
                            "city": {
                              "type": "string"
                            },
                            "zipCode": {
                              "type": "string"
                            },
                            "country": {
                              "type": "string",
                              "pattern": "[A-Z]{2}"
                            },
                            "email": {
                              "type": "string",
                              "nullable": true
                            }
                          },
                          "example": {
                            "id": "1",
                            "name": "John Doe",
                            "contactPerson": "",
                            "department": "",
                            "subdivision": "",
                            "street": "Street 10",
                            "additionalDetails": "",
                            "city": "Berlin",
                            "zipCode": "10101",
                            "country": "DE"
                          }
                        },
                        "paymentTerms": {
                          "x-description-missing": true,
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "dueDate",
                            "earlyPaymentDate",
                            "earlyPaymentDiscount"
                          ],
                          "nullable": true,
                          "properties": {
                            "dueDate": {
                              "type": "string",
                              "format": "date-time",
                              "nullable": true
                            },
                            "earlyPaymentDate": {
                              "type": "string",
                              "format": "date-time",
                              "nullable": true
                            },
                            "earlyPaymentDiscount": {
                              "type": "number",
                              "format": "float"
                            }
                          },
                          "example": {
                            "earlyPaymentDiscount": 0.5,
                            "earlyPaymentDate": "2022-01-17T00:00:00+01:00",
                            "dueDate": "2022-02-06T00:00:00+01:00"
                          }
                        },
                        "paymentMethodName": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "paypal"
                        },
                        "paymentStatus": {
                          "type": "string",
                          "description": "Status of the payment. Value `unknown` is displayed when a status from database cannot be identified. Value `unknown` cannot be used when creating or updating statuses (POST or PATCH endpoints)",
                          "enum": [
                            "pending",
                            "paid",
                            "partlyPaid",
                            "canceled",
                            "partialCancellation",
                            "badDebt",
                            "debited",
                            "unknown"
                          ],
                          "example": "pending"
                        },
                        "dunning": {
                          "description": "Deprecated: use `dunningSettings.level` field instead",
                          "type": "string",
                          "nullable": true,
                          "example": "zahlungserinnerung"
                        },
                        "dunningDate": {
                          "description": "Deprecated: use `dunningSettings.date` field instead",
                          "type": "string",
                          "format": "date",
                          "nullable": true,
                          "example": "2022-08-10"
                        },
                        "dunningSettings": {
                          "description": "Dunning setting for document",
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "level",
                            "date",
                            "comment",
                            "sent"
                          ],
                          "nullable": true,
                          "properties": {
                            "level": {
                              "type": "string",
                              "enum": [
                                "noReminder",
                                "paymentReminder",
                                "reminder1",
                                "reminder2",
                                "reminder3",
                                "debtCollection",
                                "lossOfReceivables"
                              ],
                              "example": "paymentReminder"
                            },
                            "date": {
                              "format": "date",
                              "example": "2022-08-10"
                            },
                            "comment": {
                              "format": "string",
                              "example": "This is a comment"
                            },
                            "sent": {
                              "type": "boolean",
                              "format": "boolean",
                              "example": true
                            }
                          },
                          "example": {
                            "level": "paymentReminder",
                            "date": "2022-08-10",
                            "comment": "First reminder sent",
                            "sent": true
                          }
                        },
                        "dunningManualSettings": {
                          "description": "Expert mode: The payment settings can be set manually with this check mark. Note: This tick overrides the automatic calculation of the incoming payment. This means that the invoice is NOT included in the dunning process. If you use the incoming payment via the account statements, this checkmark should only be used for manual adjustments, because these settings are usually set automatically via the incoming payment.",
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "paymentStatus",
                            "paidAt",
                            "actualAmount",
                            "discountGiven"
                          ],
                          "nullable": true,
                          "properties": {
                            "paymentStatus": {
                              "type": "string",
                              "description": "Status of the payment. Value `unknown` is displayed when a status from database cannot be identified. Value `unknown` cannot be used when creating or updating statuses (POST or PATCH endpoints)",
                              "enum": [
                                "pending",
                                "paid",
                                "partlyPaid",
                                "canceled",
                                "partialCancellation",
                                "badDebt",
                                "debited",
                                "unknown"
                              ],
                              "example": "pending"
                            },
                            "paidAt": {
                              "description": "Date of the payment",
                              "type": "string",
                              "format": "date",
                              "nullable": true,
                              "example": "2022-08-10"
                            },
                            "actualAmount": {
                              "description": "Amount of the payment",
                              "type": "number",
                              "format": "float",
                              "example": 22.33
                            },
                            "discountGiven": {
                              "description": "Discount given for a payment",
                              "type": "number",
                              "format": "float",
                              "example": 22.33
                            }
                          },
                          "example": {
                            "paymentStatus": "paid",
                            "paidAt": "2022-08-10",
                            "actualAmount": 22.33,
                            "discountGiven": 2
                          }
                        },
                        "gln": {
                          "x-description-missing": true,
                          "type": "string",
                          "nullable": true,
                          "example": "12345"
                        },
                        "taxation": {
                          "x-description-missing": true,
                          "type": "number",
                          "example": 0
                        },
                        "positions": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "id": {
                                "type": "number"
                              },
                              "position": {
                                "type": "number"
                              },
                              "salesOrderId": {
                                "type": "string",
                                "format": "number",
                                "nullable": true
                              },
                              "saleOrderPositionId": {
                                "type": "number",
                                "nullable": true
                              },
                              "createdAt": {
                                "type": "string",
                                "format": "date-time"
                              },
                              "productId": {
                                "type": "number"
                              },
                              "productNumber": {
                                "type": "string"
                              },
                              "description": {
                                "type": "string"
                              },
                              "quantity": {
                                "type": "number"
                              },
                              "price": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "basePrice": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "netRevenueSingle": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "netRevenueTotal": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "grossRevenueSingle": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "grossRevenueTotal": {
                                "description": "Money object with amount and currency",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float",
                                    "example": "24.99"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              },
                              "vatCategory": {
                                "type": "string"
                              },
                              "taxRate": {
                                "type": "number",
                                "format": "float"
                              },
                              "discount": {
                                "type": "number",
                                "format": "float",
                                "nullable": true
                              }
                            },
                            "example": {
                              "id": 1,
                              "position": 1,
                              "salesOrderId": null,
                              "saleOrderPositionId": 3,
                              "createdAt": "2022-08-10T10:14:26+02:00",
                              "productId": 1,
                              "productNumber": "100001",
                              "description": "Kaffee ganze Bohne 1kg",
                              "quantity": 1,
                              "price": {
                                "amount": "24.99",
                                "currency": "EUR"
                              },
                              "basePrice": {
                                "amount": "0.16000000",
                                "currency": "EUR"
                              },
                              "netRevenueSingle": {
                                "amount": "0.1600",
                                "currency": "EUR"
                              },
                              "netRevenueTotal": {
                                "amount": "1.6000",
                                "currency": "EUR"
                              },
                              "grossRevenueSingle": {
                                "amount": "0.1904",
                                "currency": "EUR"
                              },
                              "grossRevenueTotal": {
                                "amount": "1.9040",
                                "currency": "EUR"
                              },
                              "vatCategory": "normal",
                              "taxRate": 19,
                              "discount": 0
                            }
                          }
                        }
                      },
                      "example": {
                        "id": "142",
                        "documentNumber": "1200132",
                        "documentDate": "2022-01-07T00:00:00+01:00",
                        "log": {
                          "createdAt": "2022-01-07T13:43:12+01:00",
                          "sentAt": "2022-01-07T13:43:12+01:00",
                          "createdBy": {
                            "name": "John Doe"
                          },
                          "sentBy": {
                            "name": "John Doe"
                          },
                          "updatedAt": "2022-03-31T00:16:03+02:00"
                        },
                        "amountGross": 49.99,
                        "amountNet": 42.01,
                        "costCenter": "3456",
                        "status": "sent",
                        "project": {
                          "id": "6",
                          "name": "Shopware",
                          "abbreviation": "B2C-SW"
                        },
                        "customer": {
                          "id": "3099",
                          "name": "John Doe"
                        },
                        "externalOrderReference": "62720",
                        "devCustomer": "50161",
                        "billingAddress": {
                          "id": "1",
                          "name": "John Doe",
                          "contactPerson": "",
                          "department": "",
                          "subdivision": "",
                          "street": "Street 10",
                          "additionalDetails": "",
                          "city": "Berlin",
                          "zipCode": "10101",
                          "country": "DE",
                          "email": "john.doe@email.de"
                        },
                        "paymentMethodName": "paypal",
                        "paymentStatus": "pending",
                        "dunning": "zahlungserinnerung",
                        "dunningDate": null,
                        "gln": "12345",
                        "taxation": 0,
                        "tags": [],
                        "salesOrder": {
                          "id": "147",
                          "documentNumber": "2024-200135"
                        },
                        "positions": [
                          {
                            "id": 421,
                            "position": 1,
                            "saleOrderPositionId": 13521,
                            "salesOrderId": "147",
                            "createdAt": "2022-01-07T13:43:12+01:00",
                            "productId": 864,
                            "productNumber": "FR5232501",
                            "description": "Example Product",
                            "quantity": 1,
                            "price": {
                              "amount": "49.99",
                              "currency": "EUR"
                            },
                            "vatCategory": "normal",
                            "taxRate": 0,
                            "discount": 0
                          }
                        ],
                        "paymentTerms": {
                          "earlyPaymentDiscount": 0,
                          "earlyPaymentDate": "2022-01-17T00:00:00+01:00",
                          "dueDate": "2022-02-06T00:00:00+01:00"
                        }
                      }
                    }
                  }
                }
              },
              "application/vnd.xentral.minimal+json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "id": {
                          "type": "string",
                          "pattern": "\\d+",
                          "example": "17",
                          "description": "Resource identifier."
                        }
                      },
                      "example": {
                        "id": "3"
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              },
              "application/pdf": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```